import { HttpRequest as RawHttpRequest } from "ziron-ws";
export interface HttpRequest extends RawHttpRequest {
    /**
     * @description
     * Returns the requested path (always includes a prefix slash).
     */
    readonly getPath: () => string;
}
export default function enhanceHttpRequest(req: RawHttpRequest & Partial<HttpRequest>): HttpRequest;
